> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new note



## OpenAPI

````yaml post /admin/notes/{type}/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/notes/{type}/{program_id}:
    post:
      tags:
        - Notes
      summary: Create a new note
      operationId: 5fee83c9043dd0275737971471adf6b9
      parameters:
        - name: type
          in: path
          description: Type of the note
          required: true
          schema:
            type: string
        - name: program_id
          in: path
          description: ID of the program
          required: true
          schema:
            type: integer
      requestBody:
        description: Input data format
        required: true
        content:
          application/json:
            schema:
              properties:
                note:
                  description: The note text
                  type: string
                  example: This is a note.
                entity_id:
                  type: string
                  example: '1'
                donor_id:
                  type: string
                  example: '1'
                client_id:
                  type: string
                  example: '1'
                program_id:
                  type: string
                  example: donor
                type:
                  type: string
                  example: donor
                categories:
                  description: The category of the note
                  type: string
                  example: ALL
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Success message
                    type: string
                    example: Successful
                type: object
        '404':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Error message
                    type: string
                    example: 'Error: Note is required.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````